Subject: bug#35521: Mariadb test suite failures on x86_64-linux

From: Mark H Weaver <[email-masked]>
Date: Sat, 13 Jul 2019 13:29:32 -0400

Hi Marius,

> Update: Berlin built mariadb twice on core-updates with this patch:
>
> --8<---------------cut here---------------start------------->8---
> diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
> index 6bfeaad9a2..64bc0938b6 100644
> --- a/gnu/packages/databases.scm
> +++ b/gnu/packages/databases.scm
> @@ -753,7 +753,7 @@ Language.")
>                   (with-directory-excursion "mysql-test"
>                     (invoke "./mtr" "--verbose"
>                             "--retry=3"
> -                           "--testcase-timeout=40"
> +                           "--testcase-timeout=80"
>                             "--suite-timeout=600"
>                             "--parallel" (number->string (parallel-job-count))
>                             "--skip-test-list=unstable-tests"))
> --8<---------------cut here---------------end--------------->8---
>
> Mark, Chris: Can you try this change with MariaDB 10.1.40 and see if it
> works for you?

I tried it, but it made no difference on my Thinkpad X200, which still
fails the same way as before with 10.1.38:

  Failing test(s): tokudb_bugs.mdev4533

Anyway, based on Giovanni's observations,

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=35521#32

I'm now inclined to agree that these are likely to be flaky tests, so I
withdraw my objections to disabling them, in this specific case.

Having said that, I disagree with Giovanni's dismissal of my concerns in
general, here:

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=35521#29

I will respond to that dismissal in a later message.

     Thanks,
       Mark